> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.heyreach.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.heyreach.io/_mcp/server.

# GetChatroom

GET https://api//api/public/inbox/GetChatroom/{accountId}/{conversationId}

Get a LinkedIn conversation with its messages by Id.

Reference: https://docs.heyreach.io/hey-reach-api/inbox/get-chatroom

## Request

### Path parameters

- `accountId` (string, required) — (Required)
- `conversationId` (string, required) — (Required)

### Headers

- `X-API-KEY` (string, optional) — API key header using this scheme. Example: "X-API-KEY: \{API\_KEY}"

## Response

### 200

OK

- `id` (string, required)
- `read` (string, required)
- `groupChat` (string, required)
- `blockedByMe` (string, required)
- `blockedByParticipant` (string, required)
- `lastMessageAt` (string, required)
- `lastMessageText` (string, required)
- `totalMessages` (string, required)
- `linkedInAccountId` (string, required)
- `correspondentProfile` (object, required)
  - `profileUrl` (string, required)
  - `firstName` (string, required)
  - `lastName` (string, required)
  - `headline` (string, required)
  - `imageUrl` (string, required)
  - `location` (string, required)
  - `companyName` (string, required)
  - `companyUrl` (string, required)
  - `position` (string, required)
  - `about` (string, required)
  - `connections` (string, required)
  - `followers` (string, required)
  - `tags` (list of string, required)
  - `emailAddress` (string, required)
  - `customFields` (list of object, required)
    - `name` (string, required)
    - `value` (string, required)
- `linkedInAccount` (object, required)
  - `id` (string, required)
  - `emailAddress` (string, required)
  - `firstName` (string, required)
  - `lastName` (string, required)
  - `authIsValid` (string, required)
  - `isValidNavigator` (string, required)
  - `isValidRecruiter` (string, required)
  - `profileUrl` (string, required)
- `messages` (list of object, required)
  - `createdAt` (string, required)
  - `body` (string, required)
  - `subject` (string, required)
  - `postLink` (string, required)
  - `isInMail` (string, required)
  - `sender` (any, optional, nullable)
- `lastMessageSender` (any, optional, nullable)

## Errors

### 404 Get Chatroom Inbox Request Not Found Error

Not Found

- `errorMessage` (string, required)

### 429 Get Chatroom Inbox Request Too Many Requests Error

Too Many Requests

- `type` (string, required)
- `title` (string, required)
- `status` (string, required)
- `detail` (string, required)
- `instance` (string, required)
- `ut8c` (object, required)
- `laborum__e5` (object, required)
- `occaecat100` (object, required)

## Examples

**Response**

```json
{
  "id": "<string>",
  "read": "<boolean>",
  "groupChat": "<boolean>",
  "blockedByMe": "<boolean>",
  "blockedByParticipant": "<boolean>",
  "lastMessageAt": "<dateTime>",
  "lastMessageText": "<string>",
  "totalMessages": "<integer>",
  "linkedInAccountId": "<integer>",
  "correspondentProfile": {
    "profileUrl": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "headline": "<string>",
    "imageUrl": "<string>",
    "location": "<string>",
    "companyName": "<string>",
    "companyUrl": "<string>",
    "position": "<string>",
    "about": "<string>",
    "connections": "<integer>",
    "followers": "<integer>",
    "tags": [
      "<string>",
      "<string>"
    ],
    "emailAddress": "<string>",
    "customFields": [
      {
        "name": "<string>",
        "value": "<string>"
      },
      {
        "name": "<string>",
        "value": "<string>"
      }
    ]
  },
  "linkedInAccount": {
    "id": "<integer>",
    "emailAddress": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "authIsValid": "<boolean>",
    "isValidNavigator": "<boolean>",
    "isValidRecruiter": "<boolean>",
    "profileUrl": "<string>"
  },
  "messages": [
    {
      "createdAt": "<dateTime>",
      "body": "<string>",
      "subject": "<string>",
      "postLink": "<string>",
      "isInMail": "<boolean>"
    },
    {
      "createdAt": "<dateTime>",
      "body": "<string>",
      "subject": "<string>",
      "postLink": "<string>",
      "isInMail": "<boolean>"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api//api/public/inbox/GetChatroom/%3Cinteger%3E/%3Cstring%3E"

headers = {"X-API-KEY": "<string>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api//api/public/inbox/GetChatroom/%3Cinteger%3E/%3Cstring%3E';
const options = {method: 'GET', headers: {'X-API-KEY': '<string>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api//api/public/inbox/GetChatroom/%3Cinteger%3E/%3Cstring%3E"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-KEY", "<string>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api//api/public/inbox/GetChatroom/%3Cinteger%3E/%3Cstring%3E")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<string>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api//api/public/inbox/GetChatroom/%3Cinteger%3E/%3Cstring%3E")
  .header("X-API-KEY", "<string>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api//api/public/inbox/GetChatroom/%3Cinteger%3E/%3Cstring%3E', [
  'headers' => [
    'X-API-KEY' => '<string>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api//api/public/inbox/GetChatroom/%3Cinteger%3E/%3Cstring%3E");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-KEY", "<string>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-API-KEY": "<string>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api//api/public/inbox/GetChatroom/%3Cinteger%3E/%3Cstring%3E")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```